#pragma once

#include "stdafx.h"

enum class Protocol{ UART, I2C, SPI, USB};

enum class Family{ 
	F543x,
	F5xx,
	F6xx,
	FRxx,
	P4xx,
	ROM
};

enum class Command{
	CHANGE_BAUD_RATE,
	CRC_CHECK_32,
	CRC_CHECK,
	DELAY,
	ERASE_CHECK,
	ERASE_MAIN_OR_INFO,
	ERASE_SEGMENT_32,
	ERASE_SEGMENT,
	SET_PC_32,
	SET_PC,
	MASS_ERASE,
	REBOOT_RESET,
	RX_DATA_BLOCK_FAST,
	RX_DATA_BLOCK_32,
	RX_DATA_BLOCK,
	RX_PASSWORD_32,
	RX_PASSWORD,
	SET_MEMORY_OFFSET,
	TOGGLE_INFO,
	TX_DATA_BLOCK_32,
	TX_DATA_BLOCK,
	TX_BSL_VERSION_32,
	TX_BSL_VERSION,
	TX_BUFFER_SIZE,
	VERBOSE,
	UNKNOWN_COMMAND
};




