#pragma once

#include "stdafx.h"

class InterfaceTarget
{
public:

	virtual ~InterfaceTarget() {};

	virtual void readParameters(ActualCommandParams actualCommandParams) = 0;

	virtual DataBuffer changeBaudRate() = 0;
	virtual DataBuffer crcCheck32() = 0;
	virtual DataBuffer crcCheck() = 0;
	virtual void delay() = 0;
	virtual DataBuffer eraseCheck() = 0;
	virtual DataBuffer eraseMainOrInfo() = 0;
	virtual DataBuffer eraseSegment32() = 0;
	virtual DataBuffer eraseSegment() = 0;
	virtual DataBuffer setPc32() = 0;
	virtual DataBuffer setPc() = 0;
	virtual DataBuffer massErase() = 0;
	virtual DataBuffer rebootReset() = 0;
	virtual DataBuffer rxDataBlockFast() = 0;
	virtual DataBuffer rxDataBlock32() = 0;
	virtual DataBuffer rxDataBlock() = 0;
	virtual DataBuffer rxPassword32() = 0;
	virtual DataBuffer rxPassword() = 0;
	virtual DataBuffer setMemoryOffset() = 0;
	virtual DataBuffer toggleInfo() = 0;
	virtual DataBuffer txDataBlock32() = 0;
	virtual DataBuffer txDataBlock() = 0;
	virtual DataBuffer bslVersion32() = 0;
	virtual DataBuffer bslVersion() = 0;
	virtual DataBuffer txBufferSize() = 0;
	virtual void       initVerbose() = 0;
	virtual void       verbose() = 0;
	virtual bool       retVerbose() = 0;
	virtual uint32_t   retNewBaudRate() = 0;
	virtual uint32_t   retNumResponseBytes() = 0;
	virtual void       setDataBlock(DataBlock dataBlockStream) = 0;

private:

};


