// stdafx.h : Includedatei fr Standardsystem-Includedateien
// oder hufig verwendete projektspezifische Includedateien,
// die nur in unregelmigen Abstnden gendert werden.
//

#pragma once

#if defined(_WIN32) || defined(_WIN64)
	#include "targetver.h"
#else

#endif

#include <iostream>

#include <string>
#include <cstdint>
#include <cstddef>
#include <vector>
#include <fstream>
#include <chrono>
#include <thread>
#include <exception>
#include <stdexcept>
#include <iomanip>
#include <sstream>
#include <cwchar>
#include <memory>

#define BOOST_DATE_TIME_NO_LIB
#define BOOST_REGEX_NO_LIB

#include <boost/tokenizer.hpp>
#include <boost/foreach.hpp>
#include <boost/algorithm/string.hpp>
#include <boost/format.hpp>
#include <boost/asio.hpp>
#include <boost/asio/serial_port.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>
#include <boost/bind.hpp>
#include <boost/filesystem.hpp>
#include <boost/date_time/gregorian/gregorian.hpp>

#include "DefinitionEnums.h"
#include "DataType.h"
#include "ScripterStream.h"
#include "InterpreterClass.h"

//new!!
#include "TestReset.h"
#include "InterfaceTarget.h"
#include "InterfaceCommunication.h"
#include "FramFlash.h"
#include "P432.h"
#include "Rom.h"
#include "Execution.h"
#include "UartComm.h"
#include "UsbComm.h"
#include "TestReset.h"

// TODO: Hier auf zustzliche Header, die das Programm erfordert, verweisen.
